• Please click here to login to your Frontline account:
      
     
     
     AESOP No Longer Available on Internet Explorer 8

    As of the end of the 2015 school year, Frontline Technologies will no longer support Internet Explorer 8 for Aesop.

    As Microsoft releases new versions of Internet Explorer, they discontinue technical support, security updates and compatibility fixes for older versions. Because this support is no longer offered for Internet Explorer 8, we will discontinue building Aesop compatibility with this browser version. As we improve Aesop functionality and add new enhancements to the products, those who continue to use Internet Explorer 8 will find that Aesop will not operate on this browser.

    Aesop will continue to support Internet Explorer 9 and above, as well as other currently supported browsers. We’re providing this advance notice to our customers to give you as much time as possible to determine what action may need to be taken in your district to ensure those using Aesop have access to Internet Explorer 9 or above. If your district does not use Internet Explorer 8, you do not need to take any action.

    If you have any questions, please contact Aesop Support at support@frontlinetechnologies.com